package com.fjhx.flow.entity.flow.dto;

import com.fjhx.flow.entity.flow.po.FlowDefinitionNode;
import com.ruoyi.common.core.domain.entity.SysUser;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class FlowResult {

    public FlowResult() {

    }

    public FlowResult(Boolean success) {
        this.success = success;
    }

    /**
     * 1成功 0失败
     */
    private Boolean success;

    /**
     * 处理用户 单节点
     */
    private List<SysUser> userList;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 已审批节点列表
     */
    private List<FlowDefinitionNode> flowDefinitionNodeList;

    /**
     * 用户选择列表
     */
    private List<SelectUser> selectUserList;

    @Getter
    @Setter
    public static class SelectUser {
        /**
         * 节点id
         */
        private Long nodeId;

        /**
         * 节点名称
         */
        private String nodeName;

        /**
         * 用户id
         */
        private String handleUserId;

        /**
         * 处理用户
         */
        private List<SysUser> userList;
    }

}
