package com.fjhx.flow.entity.flow.vo;

import com.fjhx.flow.entity.flow.po.FlowExample;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 流程实例列表查询返回值实体
 *
 * @author
 * @since 2023-04-10
 */
@Getter
@Setter
public class FlowExampleVo extends FlowExample {

    /**
     * 发起人名称
     */
    private String createUserName;

    /**
     * 当前节点名称
     */
    private String nodeName;

    /**
     * 流程key
     */
    private String flowKey;

    /**
     * 流程名称
     */
    private String flowName;

    /**
     * 节点处理类型
     */
    private Integer nodeHandleType;

    /**
     * 当前处理人
     */
    private Long handleUserId;
    private String handleUserName;
    /**
     * 耗时
     */
    private Long duration;
    private String durationStr;

    private Date durationBeginTime;

}
